Certain sites such as LinkedIn load very slowly in Firefox; changing MTU to 1360 fixes it

Bug #314713 reported by Nicholas on 2009-01-07
74
This bug affects 8 people
Affects Status Importance Assigned to Milestone
network-manager (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: firefox-3.0

I am a regular user of Linkedin.

I notice that on Firefox/Linux, the page takes ages to load, but on Firefox/Windows the load times a normal. I have already complained to Linkedin, and they expressed helplessness. I notice the problem seems to be with Firefox.

Details:
* Ubuntu 8.04 (amd64)
* Firefox 3.0.5
* Kernel 2.6.24-22-generic

ProblemType: Bug
Architecture: amd64
Date: Wed Jan 7 18:58:39 2009
DistroRelease: Ubuntu 8.04
NonfreeKernelModules: nvidia
Package: firefox-3.0 3.0.5+nobinonly-0ubuntu0.8.04.1
PackageArchitecture: amd64
ProcEnviron:
 SHELL=/bin/bash
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_IN
SourcePackage: firefox-3.0
Uname: Linux 2.6.24-22-generic x86_64

Nicholas (nicholas-a) wrote :
Richard Paul (richard-a-paul) wrote :

I'm experiencing the same problem. Linkedin.com is incredibly slow. The home page loaded fine, but clicking 'Sign in' takes forever. Once I'm logged in, navigating around is works slowly, but if I edit some data and submit the form it often times out.

The problem occurs in Firefox 3.0, Firefox 3.1, Opera 10.0.
Interestingly Midori 0.0.18 seems to be a little faster, although posting a form still times out.

In Windows Vista on the same laptop Firefox works normally.

I'm accessing the web over a wireless 802.11g using WPA on a DLink DSL - G604T.

Richard Paul (richard-a-paul) wrote :

Interestingly the same laptop works perfectly when using the internet connection at work (Ubuntu 8.10, Firefox).
So it must be some networking class between Ubuntu, DLink and LinkedIn.

Richard Paul (richard-a-paul) wrote :

Networking 'clash' not 'class'.

Teo Teti (teo-teti) wrote :

I've reported the same problem.
I'm on a dual-boot P4 desktop and, interestingly, connected via a D-Link router (DSL-G624T).
While under my Ubuntu 8.04 LinkedIn is so sluggish and almost unusable, under WindowsXP all seems to work smoothly.
I haven't tried with any other browser than Firefox 3.0.

andre (andrew-dorrell) wrote :

I'm having the same problem. ubuntu 8.10, fully updated (Apr 09). wired and wireless connections behave the same. Have had no response from linkedin. I have taken some additional "debugging" steps:
1. fully diabled ipv6 - no improvement
2. have tried using opera - no improvement
3. have tried using galeon - small improvement (?)
4. have tried specifying name servers manually - no improvement
5. have checked to make sure there is no local DNS caching... I'm not running a specific process to do this (no named) but perhaps something in gnome is doing this? network manager? LinkedIn has a help page suggesting flushing of the local dns cache as a solution to "slowness". This is my best lead. Especially after reading this possibly related post:
http://www.nabble.com/dns-cache-td189025.html

In common with other posters here I have D-Link equipment:

Wireless access point:
Product Page: DIR-615
Firmware Version: 2.25
Hardware Version: B2

ADSL modem:
Product: DSL-502T
ADSL Firmware Version: 4.03.03.00 - 3.02.00.03 - 3.02.06.00 Annex A - 01.07.02 - 0.49
ADSL Software Version: V2.00B05.AU_20060710

Hope some progress can be made. I need linkedin just now :-(

Richard Paul (richard-a-paul) wrote :

Just updated my Ubuntu install to 9.04 and linkedin.com still times out when posting data.
Tested with Firefox 3.0.8 & DLink DSL - G604T.

andre (andrew-dorrell) wrote :

By way of an update on that...

not running any dns caching (nscd, dnsmasq, pdnsd, bind9)
disabled firefox's built in dns caching (http://en.kioskea.net/faq/sujet-555-disabling-the-dns-cache-of-mozilla-firefox)
manually specified the dns server (TPG .au)
also tried name servers from opendns.com

Not surprisingly this slows things down in general (so I assume its worked). However I still can't view my linkedin contacts list or invite new contacts. I can at least login now - but its certainly not a solution.

No idea what to look at next :-?

John Vivirito (gnomefreak) wrote :

the following comment makes this a non Firefox/Xul/Gecko bug:
2. have tried using opera - no improvement
Opera doesnt use any of the above it uses QT libs Firefox has not released a QT version for mainstream use we have tried and it failed so we dropped that option from config.
This is a site problem. Oh and BTW Galeon uses XULrunner as i recall it sure does.
xulrunner (>= 1.9~) | xulrunner-1.9
Now this would have been an XULrunner bug not so much Firefox but as you can see above its niether.
Closing bug report. Please use Firefox>Help>Report a broken website.

Changed in firefox-3.0 (Ubuntu):
status: New → Invalid
andre (andrew-dorrell) wrote :

This is clearly not a fiirefox bug as numerous browsers are effected in the same way. It seems there is some peculiarity in the network layer for this one.

affects: firefox-3.0 (Ubuntu) → glibc (Ubuntu)
Changed in glibc (Ubuntu):
status: Invalid → New
andre (andrew-dorrell) wrote :

I agree it is not a firefox bug but it is very definitely a bug with something in ubuntu. I have antagonistically associated it with glibc in the hopes that someone there will have a clue - sorry if it is bad form.

Further information from me:
updated firmware on ADSL router to ADSL Software Version: V2.00B12... - not a fix
Linux akoya 2.6.27-11-generic #1 SMP Wed Apr 1 20:57:48 UTC 2009 i686 GNU/Linux
ubuntu 8.10
Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)

I'm happy to do local debugging if anyone is willing to guide - I'm just not sure where to look next.

sbausson (sbausson) wrote :

I had the same problem (not with a ubuntu, but an old Mandriva) and the issue disapeared when I disable the router in my ADSL box ... So something linked to NAT. But I have to note that even with that NAT, it is working in windows. I will try to capture some wireshark traces.

I hop this issue will help to narrow down the issue

andre (andrew-dorrell) wrote :

I think I agree it is something to do with the interaction between router and linux. I have now tried this with konqeror also. It is very interesting in that it has a different failure: It successfully loads linked in pages like my contacts but at some point starts getting addresses *wrong*. It starts for example trying to load google search results as if the links all pointed to google.com. So I still think there might be some DNS caching issue in this also.

On my 8.10 machine, 32 bit OS, firefox, the simplest way to trigger this issue is to try and view my contacts. The page loads but the contacts don't - all I see is the spinning wheel. I've grabbed a wireshark trace of this and will have a look over it. So far I can see that the log tails with a lot of TCP retransmission requests from me to 64.74.98.80 (www.linkedin.com). These don't seem to be being answered. No obvious signs of DNS problems.

andre (andrew-dorrell) wrote :

OK... just to complicate this further (or perhaps simplify it) I have now independently installed Arch linux with the latest KDEmod packages from chakra. I.e. I installed from the chakra live CD and then updated everything using pacman.

I can report that linkedin seems to be working better for me (using konqeror in Arch) however embedded apps like boxnet still seem to be not loading. Firefox still the same - can't view contacts even.

Linux akoya 2.6.29-ARCH #1 SMP PREEMPT Wed Apr 8 12:47:56 UTC 2009 i686 Pentium(R) Dual-Core CPU T4200 @ 2.00GHz GenuineIntel GNU/Linux

andre (andrew-dorrell) wrote :

I have progress to report on this issue!

The problem seems to be related to transparent proxying of https at my ISP. If I manually specify the proxy server in my browser (on a port other than port 80) everything works correctly. It may have something to do with the router or NAT who knows. But I don't get the problem under windows. I've contacted TPG about this issue also. Hopefully knowlege will grow. I think its safe to say it is not DNS related - I've tested that to death.

Ian Stewart (istewi) wrote :

I've had similar problems, as far as I can tell it's due to the following rule in the router's firewall config

TCPMSS tcp -- anywhere anywhere tcp flags:SYN,RST/SYN TCPMSS set 1360

I've had problems with this rule before, using a WiFi card with a small MTU. It was actually increasing the MSS and making it too big for the MTU. I'm sure the intention of the rule is to decrease the MSS only.

Removing the rule with iptables -D fixes the LinkedIn problem. So far it doesn't seem to have broken anything else. Note that the rule will come back if the router is rebooted.

Grant (mcherron) wrote :

I'm experiencing similar problems with LinkedIn on Ubuntu 9.04 and FireFox 3.0.10. Also happens with Opera on the same platform.

When testing with other machines, Mac OSX 10.5 with FireFox 3.0.10 has the identical problem BUT if I run Safari, then all systems are GO. If I use Windows XP SP3 and FireFox 3.0.10, everything works fine.

So, it seems to be something common between FireFox and Opera on Ubuntu and Mac. Problem doesn't manifest in any other system, even though they're all running over the same net connection (D-Link DSL 502T)

Hope this helps.

Rudy Tuik (tuik0407) wrote :

Two different computers behind one adsl, one running XP-pro and SuSE 9.3 other SuSE 10.0, now 11.1. Browsers: XP: IE, Linux-KDE: Firefox, Opera, Konqueror (all in different versions) and Lynx. Neither works. Stop firewall in adsl modem does not help. Neither stop Linux firewall. Not tried both. Did not find the config that Ian Steward mentioned in in modem nor linux.

Same problem here. I'm running (K)Ubuntu 9.04, using D-Link router (model no. DSL-G624T), and Firofox 3.0.10. Pages with messages from group members load just fine, but if I want to access someone's profile, it takes forever until pages finally time out. I can't remember which version was available when I switched to Ubuntu last October, but I've always had this problem with LinkedIn. However, lately I've noticed that if I use Konqueror 4.2.2 pages load in the blink of an eye. Kind of annoying, for I prefer using Firefox.

kapil (gst-kaps) wrote :

for me http://marzoa.com/2009/03/08/d-link-dsl-g624t-and-linkedincom/ fixes the issue, not sure about the actual reason, and if this change will break anything

All,

This doesnt make much sense to me Becuase
1) I have another Windows Desktop that is on the Same network and able to
surf LinkedIn successfuly
2) Same PC when booted Windows LinkedIn works, if it is bookted Linux it
does not work

I'm not seeing here any Network Problem as much as Browser/access rights
issues ---> Some Script is trying to do something is not allowed on
Linux----> this is a kinda of opinion and i did not debug it

Regards
Samer

On Tue, Jun 16, 2009 at 10:08 AM, kapil <email address hidden> wrote:

> for me http://marzoa.com/2009/03/08/d-link-dsl-g624t-and-linkedincom/
> fixes the issue, not sure about the actual reason, and if this change
> will break anything
>
> --
> linkedin very slow on Firefox Linux only
> https://bugs.launchpad.net/bugs/314713
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
______________________________
http://geek2live.blogspot.com/
http://www.siteheed.com
- You pick the level of your suffering yourself - Budha-
- There is nothing noble in being superior to some other man. The true
nobility is in being superior to your previous self.-- Hindu proverb
- "Nearly all men can stand adversity, but if you want to test a man's
character, give him power."-Abraham Lincoln
- Live Free or Die-Kernel The Canine-
- Without music, life would be a mistake.- Nietzsche
- He who reigns within himself and rules his passions, desires, and fears is
more than a king.-- John Milton
- The best portion of a good man's life is the little, nameless,unremembered
acts of kindness and love.-- William Wordsworth (1770-1850) English poet --
- The higher type of man clings to virtue, the lower type of man clings to
material comfort. The higher type of man cherishes justice, the lower type
of man cherishes the hope of favors to be received.-- Confucius (551-479
BC) Chinese Philosopher

I believe it is not a problem with Ubuntu or Firefox but with the ISP (or home router). I am experiencing the bug on my current Kubuntu with firefox, opera, and konqueror (login linkedin works, but displaying contacts doesn't work). I cannot display the contacts page of Linkedin using Windows.

If I start a VPN using OpenVPN or if I use a sock proxy using something localy like 'ssh -D 127.0.0.1:8080 user@ssh_ip_box' I don't have any problem and linkedin works fine.

It will be useful to progress this bug report if other people experiencing this bug could try other ISP?

Cheers

--
fsck222

fsck222 (fsck222) wrote :

Samer Azmy > do you use the same IP when running windows and Linux? If not this could explain the problem.

Thierry Carrez (ttx) wrote :

This bug is a combination of Linux networking / Home router / LinkedIn website.
Works with same machine on other sites, with same machine on another network or with another OS.
I work around it by temporarily setting MTU to 1360 using:
$ sudo ifconfig eth0 mtu 1360

Do you think the Exact IP will differ , it is in the same subnet

but I will check and come back to you

I will do TCPDUMP and let you know

Regards
Samer

On Tue, Jun 16, 2009 at 11:15 AM, fsck222 <email address hidden> wrote:

> Samer Azmy > do you use the same IP when running windows and Linux? If
> not this could explain the problem.
>
> --
> linkedin very slow on Firefox Linux only
> https://bugs.launchpad.net/bugs/314713
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
______________________________
http://geek2live.blogspot.com/
http://www.siteheed.com
- You pick the level of your suffering yourself - Budha-
- There is nothing noble in being superior to some other man. The true
nobility is in being superior to your previous self.-- Hindu proverb
- "Nearly all men can stand adversity, but if you want to test a man's
character, give him power."-Abraham Lincoln
- Live Free or Die-Kernel The Canine-
- Without music, life would be a mistake.- Nietzsche
- He who reigns within himself and rules his passions, desires, and fears is
more than a king.-- John Milton
- The best portion of a good man's life is the little, nameless,unremembered
acts of kindness and love.-- William Wordsworth (1770-1850) English poet --
- The higher type of man clings to virtue, the lower type of man clings to
material comfort. The higher type of man cherishes justice, the lower type
of man cherishes the hope of favors to be received.-- Confucius (551-479
BC) Chinese Philosopher

Linkedin may be the most prominent example, but there are other sites too that exhibit similar problems. From my personal experience such sites are
- web banking site of greek Eurobank (www.eurobank.gr). After accepting the login information, the site hangs until timeout
- Aegean Airlines site (www.aegeanair.gr). The last step (after giving credit card data) hangs and times out.

I have a DLink DSL-2640B home router, and the above 2 sites, as well as LinkedIn, got fixed after upgrading to version 4 of the router's firmware.

Martin Webster (martinwebster) wrote :

Experience similar problems on Ubuntu 9.04 x86-64 running Firefox 3.0.11 and Opera 9.62. Internet connection established via Draytek Vigor modem and 2910 router. Web sites affected include linkedin.com and google.co.uk/mail.

I've checked the same sites on my son's Vista PC and there's no problem whatsoever.

Running sudo ifconfig eth0 mtu 1360 did resolve the problem.

> Running sudo ifconfig eth0 mtu 1360 did resolve the problem.

It didn't on my laptop, nor did Ian's workaround (rule deletion). Plus, while before I could access Linkedin with Konqueror, in the last month it's been behaving like Firefox.

All,

I have to admit that setting my MTU to 1360 fixed Linkedin Problem , very
odd
why changing the MTU (Max. Transmitted Unit) would Solve opening a web page
(may be Linked has certain setting with their ISP and Routers) I have no
clue, but at least it works now

Cheers
Samer

On Thu, Jun 18, 2009 at 3:00 PM, lelamal <email address hidden> wrote:

> > Running sudo ifconfig eth0 mtu 1360 did resolve the problem.
>
> It didn't on my laptop, nor did Ian's workaround (rule deletion). Plus,
> while before I could access Linkedin with Konqueror, in the last month
> it's been behaving like Firefox.
>
> --
> linkedin very slow on Firefox Linux only
> https://bugs.launchpad.net/bugs/314713
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
______________________________
http://geek2live.blogspot.com/
http://www.siteheed.com
- You pick the level of your suffering yourself - Budha-
- There is nothing noble in being superior to some other man. The true
nobility is in being superior to your previous self.-- Hindu proverb
- "Nearly all men can stand adversity, but if you want to test a man's
character, give him power."-Abraham Lincoln
- Live Free or Die-Kernel The Canine-
- Without music, life would be a mistake.- Nietzsche
- He who reigns within himself and rules his passions, desires, and fears is
more than a king.-- John Milton
- The best portion of a good man's life is the little, nameless,unremembered
acts of kindness and love.-- William Wordsworth (1770-1850) English poet --
- The higher type of man clings to virtue, the lower type of man clings to
material comfort. The higher type of man cherishes justice, the lower type
of man cherishes the hope of favors to be received.-- Confucius (551-479
BC) Chinese Philosopher

Jonas Pedersen (jonasped) wrote :

lelamal wrote:
>> Running sudo ifconfig eth0 mtu 1360 did resolve the problem.
>
> It didn't on my laptop, nor did Ian's workaround (rule deletion). Plus,
> while before I could access Linkedin with Konqueror, in the last month
> it's been behaving like Firefox.

You say that you are using a laptop. Do you use a wireless interface? If
that is the case make sure you run ifconfig against the right interface
(could be wlan0).

--
Jonas Pedersen - jonas - at - jope.eu / http://jope.eu
Online picture gallery at http://pictureshow.dk

Hey Jonas, thank you - you were absolutely right! I gave it for granted that eth0 was the correct interface for me as well, but I was wrong, for it was eth1. It's now working flawlessly, so many thanks, guys!

Hi all. Another thing I gave for granted was that this workaround would last after rebooting. Instead, after today's restart, I was back to square one, and had to use the terminal command once again. Is there a way to make the change permanent? Many thanks in advance!

Hi,

Yes from your Linux Distro Network Manager , you can force the MTU value and
that will be valid even after reboot

Regards
Samer

On Fri, Jun 19, 2009 at 11:29 AM, lelamal <email address hidden> wrote:

> Hi all. Another thing I gave for granted was that this workaround would
> last after rebooting. Instead, after today's restart, I was back to
> square one, and had to use the terminal command once again. Is there a
> way to make the change permanent? Many thanks in advance!
>
> --
> linkedin very slow on Firefox Linux only
> https://bugs.launchpad.net/bugs/314713
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
______________________________
http://geek2live.blogspot.com/
http://www.siteheed.com
- You pick the level of your suffering yourself - Budha-
- There is nothing noble in being superior to some other man. The true
nobility is in being superior to your previous self.-- Hindu proverb
- "Nearly all men can stand adversity, but if you want to test a man's
character, give him power."-Abraham Lincoln
- Live Free or Die-Kernel The Canine-
- Without music, life would be a mistake.- Nietzsche
- He who reigns within himself and rules his passions, desires, and fears is
more than a king.-- John Milton
- The best portion of a good man's life is the little, nameless,unremembered
acts of kindness and love.-- William Wordsworth (1770-1850) English poet --
- The higher type of man clings to virtue, the lower type of man clings to
material comfort. The higher type of man cherishes justice, the lower type
of man cherishes the hope of favors to be received.-- Confucius (551-479
BC) Chinese Philosopher

Samer Azmy wrote:

> Yes from your Linux Distro Network Manager , you can force the MTU value and
> that will be valid even after reboot

Great, this worked! Thank you, Samer.

I posted this trick on my blog , hope it helps any1 afterwards
http://geek2live.blogspot.com/2009/06/problem-browsing-linkedincom-with.html

cheers All
Samer

On Fri, Jun 19, 2009 at 1:38 PM, lelamal <email address hidden> wrote:

> Samer Azmy wrote:
>
> > Yes from your Linux Distro Network Manager , you can force the MTU value
> and
> > that will be valid even after reboot
>
> Great, this worked! Thank you, Samer.
>
> --
> linkedin very slow on Firefox Linux only
> https://bugs.launchpad.net/bugs/314713
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
______________________________
http://geek2live.blogspot.com/
http://www.siteheed.com
- You pick the level of your suffering yourself - Budha-
- There is nothing noble in being superior to some other man. The true
nobility is in being superior to your previous self.-- Hindu proverb
- "Nearly all men can stand adversity, but if you want to test a man's
character, give him power."-Abraham Lincoln
- Live Free or Die-Kernel The Canine-
- Without music, life would be a mistake.- Nietzsche
- He who reigns within himself and rules his passions, desires, and fears is
more than a king.-- John Milton
- The best portion of a good man's life is the little, nameless,unremembered
acts of kindness and love.-- William Wordsworth (1770-1850) English poet --
- The higher type of man clings to virtue, the lower type of man clings to
material comfort. The higher type of man cherishes justice, the lower type
of man cherishes the hope of favors to be received.-- Confucius (551-479
BC) Chinese Philosopher

For me, it works.. Great..

Here is permanent fix for static or dynamic addresses http://www.petsprofile.com/2009/06/fixing-linux-slow-internet-linkedin-and.html

I use Ubuntu..

andre (andrew-dorrell) wrote :

Given that this seems to be *the* fix I think a better bug report would be that support for modifying MTU is required in network manager.

I believe this affects network-manager more than glibc, as network-manager itself should deal with MTU discovery and setting the right value for the network.

That said, NetworkManager already has some amounts of logic to take care of that.

I'm also marking it as Confirmed since so many are seeing this issue, and seeing how there is a workaround that seems to take care of the problem for pretty much everybody.

To complete this bug, could you please provide the contents of /var/lib/dhcp3/dhclient.eth0.leases or /var/lib/dhcp3/dhclient.leases, if any? The contents of /etc/network/interfaces would also be good to have. Thanks in advance.

affects: glibc (Ubuntu) → network-manager (Ubuntu)
Changed in network-manager (Ubuntu):
status: New → Confirmed
Daniel Milde (daniel-milde) wrote :

sudo ifconfig eth0 mtu 1360 works for me.

turtle (irate-turtle) wrote :

I have had this problem for Ubuntu 9.10 + Firefox 3.5.5 + Linksys router and
sudo ifconfig eth0 mtu 1360
improved the page download time.

turtle (irate-turtle) wrote :

I notice that this is an old bug.

I would recommend this be fixed because if this is a common problem, it is quite an irritating one. I have been irked by this issue for several months now, and today I decided to do some digging. Others may not be able to fix it by themselves and this really results in a bad user experience. LinkedIn is a popular site.

antex (davidli) on 2010-01-26
description: updated
Tony Espy (awe) wrote :

I just ran some tests on Karmic/9.10 and I really don't see a problem with linkedin.com. I tried accessing the site while connected via Ethernet and Wi-Fi and times seem comparable. I also compared results using the Chromium browser daily build and the FF times seemed comparable.

Just to be clear, NM *does* allow MTU to be configured on a per-connection basis. In my case, the default ( Automatic ) seems to be working OK.

Mike (0x656b694d) wrote :

Hi,
Ubuntu Lucid x86_64 here. I experience a similar problem with all sites.
No problems with Windows Vista on the same machine. It takes tens of seconds to connect to google (i got 6 Mbit/s cable connection).
The problem in my case is in the ISP's NAT that works differently with Linuxes. The MTU value is 1500 in Windows and setting it to 1360 in Linux does not solve the problem for me.
I was told that ISP has at least one more Linux behind that NAT with such a problem, but they don't care much because we're just Linux users.
I didn't find differences between Windows and Linux IP settings. They are obtained with DHCP and look the same (IP, DNS, MTU and such).
A couple of weeks ago the problem was in 40% (when i did ping -i 5 google.com) lost packets and errors when the network is under intensive usage by ISP clients. Now it is just too slow connection to an address all the time. Not the download speed, just the initiating a connection takes too much time.

Hello,

I recommend changing the MTU value

ref link :
http://geek2live.blogspot.com/2009/06/problem-browsing-linkedincom-with.html

let me know the result please

Kind Regards
Samer

On Mon, Feb 1, 2010 at 10:45 AM, Mike <email address hidden> wrote:

> Hi,
> Ubuntu Lucid x86_64 here. I experience a similar problem with all sites.
> No problems with Windows Vista on the same machine. It takes tens of
> seconds to connect to google (i got 6 Mbit/s cable connection).
> The problem in my case is in the ISP's NAT that works differently with
> Linuxes. The MTU value is 1500 in Windows and setting it to 1360 in Linux
> does not solve the problem for me.
> I was told that ISP has at least one more Linux behind that NAT with such a
> problem, but they don't care much because we're just Linux users.
> I didn't find differences between Windows and Linux IP settings. They are
> obtained with DHCP and look the same (IP, DNS, MTU and such).
> A couple of weeks ago the problem was in 40% (when i did ping -i 5
> google.com) lost packets and errors when the network is under intensive
> usage by ISP clients. Now it is just too slow connection to an address all
> the time. Not the download speed, just the initiating a connection takes too
> much time.
>
> --
> linkedin very slow on Firefox Linux only
> https://bugs.launchpad.net/bugs/314713
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
______________________________
http://geek2live.blogspot.com/
http://www.urvpn.com
http://www.siteheed.com
- You pick the level of your suffering yourself - Budha-
- Meditate. Live purely. Be quiet. Do your work with mastery. Like the moon,
come out from behind the clouds! Shine. -- Buddha

This bug also affected me. But changing MTU to 1360 fixed it.

I was surprised when it worked. I am guessing that HTTP is forwarded over some link with a smaller MTU and "Don't Fragment" set. You can ping the site with packets upto 1500 bytes. But sending HTTP with packets of more than 1400 bytes, gets no response at all, presumably they don't get through to their server.

Believe it - it really works.

Rigo Wenning (rigo-w3) wrote :

The suggested fiddling with the MTU value hasn't fixed anything here. I discovered that erasing the cookies made it fast until the next cookie was set. You can reproduce it. I haven't had any problems with other sites except linkedin. So I wonder why a network stack should be changed because linkedin is unable to configure their service correctly.

Believe it - it really doesn't work and I'm on Linux since 1996. And believe it, the Web isn't designed in a way to force people to deeply fiddle around in their network settings to make a web site work. I wonder what linkedin feature is causing that harm. Have you spied on xmlhttprequest and javascript to load and transmit things dynamically? Can we isolate the cookie that is causing the issue?

andreh (andre-holzner) wrote :

I see the same problem: but only in my home network (in a different wireless network, with the very same computer, signing in seems
to work reasonably fast). I start to suspect that this is related to Bug #417757 (which I'm also suffering from as my ADSL modem
seems not to relay IPV6 DNS requests).

andreh (andre-holzner) wrote :

I have the impression that now since a few days linkedin works again 'at normal speed'
(on the same Lucid installation and in the same network where it took an eternity before).

Thomas Hood (jdthood) wrote :

Is anyone still experiencing this problem in Ubuntu 12.04?

summary: - linkedin very slow on Firefox Linux only
+ Certain sites such as LinkedIn load very slowly in Firefox; changing MTU
+ to 1360 fixes it
Changed in network-manager (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for network-manager (Ubuntu) because there has been no activity for 60 days.]

Changed in network-manager (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers